GMONDUMP(1)

NAME
gmondump - Display formatted contents of profile data files

SYNOPSIS

gmondump [-v] [FILENAME...]

gmondump -h | -V

OPTIONS

      -h, --help             Display usage information and exit
      -v, --verbose          Display more file details (toggle: default false)
      -V, --version          Display version information and exit

DESCRIPTION

The gmondump utility displays the contents of one or more profile data files. Such files usually have names starting with "gmon.out" and are created by a profiling program such as profiler or ssp. Compiling your gcc/g++ programs with option -pg also works.

By default, summary information is shown. You can use the option -v to get more detailed displays.

Note that gmondump just displays the raw data; one would usually use gprof to display the data in a useful form incorporating symbolic info such as function names and source line numbers.

Here is an example of gmondump operation:

    $ gmondump gmon.out.21900.zstd.exe
    file gmon.out.21900.zstd.exe, gmon version 0x51879, sample rate 100
      address range 0x100401000..0x1004cc668
      numbuckets 208282, hitbuckets 1199, hitcount 12124, numrawarcs 0

COPYRIGHT

Copyright © Cygwin authors

Permission is granted to make and distribute verbatim copies of this documentation provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this documentation under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this documentation into another language, under the above conditions for modified versions, except that this permission notice may be stated in a translation approved by the Free Software Foundation.